Bug 980544 - SELinux is preventing /usr/libexec/libvirt-sandbox-init-common from 'read' accesses on the file sandbox.cfg.
SELinux is preventing /usr/libexec/libvirt-sandbox-init-common from 'read' ac...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libvirt-sandbox (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
abrt_hash:192792ee771875ca412afa01cfb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 12:36 EDT by Cole Robinson
Modified: 2015-02-17 10:47 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:47:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cole Robinson 2013-07-02 12:36:06 EDT
Description of problem:
As regular user: virt-sandbox -c lxc:/// /bin/sh
SELinux is preventing /usr/libexec/libvirt-sandbox-init-common from 'read' accesses on the file sandbox.cfg.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that libvirt-sandbox-init-common should be allowed read access on the sandbox.cfg file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep libvirt-sandbox /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:svirt_lxc_net_t:s0:c752,c774
Target Context                unconfined_u:object_r:cache_home_t:s0
Target Objects                sandbox.cfg [ file ]
Source                        libvirt-sandbox
Source Path                   /usr/libexec/libvirt-sandbox-init-common
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           libvirt-sandbox-libs-0.2.0-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-54.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.8-300.fc19.x86_64 #1 SMP Thu
                              Jun 27 19:24:23 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-07-02 12:31:09 EDT
Last Seen                     2013-07-02 12:31:09 EDT
Local ID                      3c24828e-258a-4362-9cb5-628a7cd2b76a

Raw Audit Messages
type=AVC msg=audit(1372782669.429:774): avc:  denied  { read } for  pid=10140 comm="libvirt-sandbox" name="sandbox.cfg" dev="sda2" ino=3670946 scontext=system_u:system_r:svirt_lxc_net_t:s0:c752,c774 tcontext=unconfined_u:object_r:cache_home_t:s0 tclass=file


type=SYSCALL msg=audit(1372782669.429:774): arch=x86_64 syscall=open success=no exit=EACCES a0=405ac0 a1=0 a2=0 a3=7fffabefc970 items=0 ppid=0 pid=10140 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=pts0 comm=libvirt-sandbox exe=/usr/libexec/libvirt-sandbox-init-common subj=system_u:system_r:svirt_lxc_net_t:s0:c752,c774 key=(null)

Hash: libvirt-sandbox,svirt_lxc_net_t,cache_home_t,file,read

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.8-300.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-07-03 08:37:21 EDT
This is similar to the previous issue in that we have setup labeling for lxc sandboxes to be allowed to use content out of the users home dirs.  Mainly for use with virt-sandbox-service.  We will be labeling ~/.cache/libvirt-sandbox as virt_home_t, not sure we want to allow svirt_lxc_net_t access to this content though.
Comment 2 Fedora End Of Life 2015-01-09 13:36:51 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 10:47:05 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.